%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define debug_package %{nil} 

Name:		libqcow
Version:	20170222
Release:	1%{?dist}
Summary:	Library to access the QEMU Copy-On-Write (QCOW) image file format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		http://code.google.com/p/libqcow/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:        openssl       zlib
BuildRequires:	 openssl-devel       zlib-devel

%description
libqcow is a library to access the QEMU Copy-On-Write (QCOW) image file format

%package devel
Summary:	Header files and libraries for developing applications for libqcow
Group:		Development/Libraries
Requires:	libqcow = %{version}-%{release} fuse-libs
BuildRequires:	fuse-devel

%description devel
Header files and libraries for developing applications for libqcow.

%package tools
Summary:	Several tools for reading QEMU Copy-On-Write (QCOW) image files
Group:		Applications/System
Requires:	libqcow = %{version}-%{release}  fuse-libs
BuildRequires:	fuse-devel

%description tools
Several tools for reading QEMU Copy-On-Write (QCOW) image files

%package python
Summary:	Python bindings for libqcow
Group:		System Environment/Libraries
Requires:	libqcow = %{version}-%{release} python
BuildRequires:	%(basename %{__python})-devel

%description python
Python bindings for libqcow

%if 0%{?centos} != 6
%package python3
Summary: Python 3 bindings for libqcow
Group: System Environment/Libraries
Requires: libqcow = %{version}-%{release} python3
BuildRequires: python3-devel

%description python3
Python 3 bindings for libqcow
%endif

%prep
%setup -q

%build
%if 0%{?centos} == 6
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python --enable-python3
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libqcow.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/qcowinfo
%attr(755,root,root) %{_bindir}/qcowmount
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python*/site-packages/*.a
%{_libdir}/python*/site-packages/*.la
%{_libdir}/python*/site-packages/*.so

%if 0%{?centos} != 6
%files python3
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Sun Jan 22 2017 Lawrence R. Rogers <lrr@cert.org> 20170222-1
* Release 20170222-1
	Version 20170222

* Sat Jan 23 2016 Lawrence R. Rogers <lrr@cert.org> 20160123-1
* Release 20160123-1
	20160123
	* worked on fallback inflate implementation

	20160119
	* worked on fallback inflate implementation

	20160118
	* worked on fallback inflate implementation

	20160117
	* worked on fallback inflate implementation

	20160111
	* Changes to Python bindings

	20160109
	* fixes for rpmbuild

	20160108
	* 2016 update

	20151223
	* Changes to Python bindings

* Sat Dec 19 2015 Lawrence R. Rogers <lrr@cert.org> 20151219-1
* Release 20151219-1
	20151219
	* updated dependencies

	20150905
	* updated dependencies

	20150723
	* worked on tests

* Sun May 31 2015 Lawrence R. Rogers <lrr@cert.org> 20150105-2
* Release 20150105-2
	Libuna GCC-5 Patch

* Mon Jan  5 2015 Lawrence R. Rogers <lrr@cert.org> 20150105-1
* Release 20150105-1
	20150105
	* 2015 update

	20141229
	* updated dpkg files
	* updated dependencies
	* updated .gitignore

	20141226
	* changes for updated dependencies

	20141221
	* worked on Python 3 support
	* worked on tests

	20141205
	* worked on test scripts

	20141201
	* worked on multi-threading support
	* code clean up
	* worked on version 3 support

	20141129
	* code clean up

	20141112
	* code clean up

	20141104
	* worked on multi-threading support
	* removed deprecated functions:
	  - libqcow_file_read_random
	  - pyqcow file.read_random

	20141029
	* bug fix in Python-bindings

	20141027
	* changes for deployment

	20141021
	* changes for deployment

	20141001
	* worked on stand-alone libcstring support

	20140920
	* changes for project site move

	20140801
	* bug fix in Python-bindings

* Tue Jul 29 2014 Lawrence R. Rogers <lrr@cert.org> 20140729-1
* Release 20140729-1
20140729
	* updated dependencies

	20140625
	* code clean up

	20140330
	* code clean up

* Fri Mar 28 2014 Joachim Metz <joachim.metz@gmail.com> 20140328-1
- Auto-generated

